
	echo $PASSWD | sudo -S apt -y update
	echo $PASSWD | sudo -S apt -y upgrade

	# download the key to system keyring; this and the following echo command are
	# needed in order to install the Intel compilers
	wget -O- https://apt.repos.intel.com/intel-gpg-keys/GPG-PUB-KEY-INTEL-SW-PRODUCTS.PUB |
		gpg --dearmor | sudo tee /usr/share/keyrings/oneapi-archive-keyring.gpg >/dev/null

	# add signed entry to apt sources and configure the APT client to use Intel repository:
	echo "deb [signed-by=/usr/share/keyrings/oneapi-archive-keyring.gpg] https://apt.repos.intel.com/oneapi all main" | sudo tee /etc/apt/sources.list.d/oneAPI.list

	# this update should get the Intel package info from the Intel repository
	echo $PASSWD | sudo -S apt -y update
	echo $PASSWD | sudo -S apt -y upgrade
	echo $PASSWD | sudo -S apt -y install python3 python3-dev emacs flex bison libpixman-1-dev libjpeg-dev pkg-config libpng-dev unzip python2 python2-dev python3-pip pipenv gcc gfortran g++ libtool automake autoconf make m4 default-jre default-jdk csh ksh git libncurses5 libncurses6 mlocate pkg-config build-essential curl libcurl4-openssl-dev

	# install the Intel compilers
	echo $PASSWD | sudo -S apt -y install intel-basekit
	echo $PASSWD | sudo -S apt -y install intel-hpckit
	echo $PASSWD | sudo -S apt -y install intel-oneapi-python

	echo $PASSWD | sudo -S apt -y update

	# make sure some critical packages have been installed
	which cmake pkg-config make gcc g++

	# add the Intel compiler file paths to various environment variables
	source /opt/intel/oneapi/setvars.sh

	# some of the libraries we install below need one or more of these variables
	export CC=icx
	export CXX=icpx
	export FC=ifx
	export F77=ifx
	export F90=ifx
	export MPIFC="mpiifort -fc=ifx"
	export MPIF77="mpiifort -fc=ifx"
	export MPIF90="mpiifort -fc=ifx"
	export MPICC="mpiicc -cc=icx"
	export MPICXX="mpiicpc -cxx=icpx"
	export CFLAGS="-fPIC -fPIE -O3"
	export FFLAGS="-m64"
	export FCFLAGS="-m64"
	#########################

	#Downloading latest dateutil due to python3.8 running old version.
	pip3 install python-dateutil==2.8
	pip3 install python-dateutil

	#Directory Listings

	mkdir $HOME/DTC
	export DTC_FOLDER=$HOME/DTC
	mkdir $DTC_FOLDER/MET-11.0.2
	mkdir $DTC_FOLDER/MET-11.0.2/Downloads
	mkdir $DTC_FOLDER/METplus-5.0.2
	mkdir $DTC_FOLDER/METplus-5.0.2/Downloads

	#Downloading MET and untarring files
	#Note weblinks change often update as needed.
	cd $DTC_FOLDER/MET-11.0.2/Downloads
	wget -c -4 https://raw.githubusercontent.com/dtcenter/MET/main_v11.0/internal/scripts/installation/compile_MET_all.sh

	wget -c -4 https://dtcenter.ucar.edu/dfiles/code/METplus/MET/installation/tar_files.tgz

	wget -c -4 https://github.com/dtcenter/MET/archive/refs/tags/v11.0.2.tar.gz

	cp compile_MET_all.sh $DTC_FOLDER/MET-11.0.2
	tar -xvzf tar_files.tgz -C $DTC_FOLDER/MET-11.0.2
	cp v11.0.2.tar.gz $DTC_FOLDER/MET-11.0.2/tar_files
	cd $DTC_FOLDER/MET-11.0.2

	cd $DTC_FOLDER/MET-11.0.2

	export PYTHON_VERSION=$(/opt/intel/oneapi/intelpython/latest/bin/python3 -V 2>&1 | awk '{print $2}')
	export PYTHON_VERSION_MAJOR_VERSION=$(echo $PYTHON_VERSION | awk -F. '{print $1}')
	export PYTHON_VERSION_MINOR_VERSION=$(echo $PYTHON_VERSION | awk -F. '{print $2}')
	export PYTHON_VERSION_COMBINED=$PYTHON_VERSION_MAJOR_VERSION.$PYTHON_VERSION_MINOR_VERSION

	export CC=icx
	export CXX=icpx
	export FC=ifx
	export F77=ifx
	export F90=ifx
	export gcc_version=$(icx -dumpversion)
	export TEST_BASE=$DTC_FOLDER/MET-11.0.2
	export COMPILER=intel_$gcc_version
	export MET_SUBDIR=${TEST_BASE}
	export MET_TARBALL=v11.0.2.tar.gz
	export USE_MODULES=FALSE
	export MET_PYTHON=/opt/intel/oneapi/intelpython/python${PYTHON_VERSION_COMBINED}
	export MET_PYTHON_CC=-I${MET_PYTHON}/include/python${PYTHON_VERSION_COMBINED}
	export MET_PYTHON_LD="-L${MET_PYTHON}/lib/python${PYTHON_VERSION_COMBINED}/config-${PYTHON_VERSION_COMBINED}-x86_64-linux-gnu\ -L${MET_PYTHON}/lib\ -lpython${PYTHON_VERSION_COMBINED}\ -lcrypt\ -lpthread -r\ -ldl\ -lm\ -lm" #investigate -lutil
	export SET_D64BIT=FALSE

	chmod 775 compile_MET_all.sh

	time ./compile_MET_all.sh 2>&1 | tee compile_MET_all.log 

	export PATH=$DTC_FOLDER/MET-11.0.2/bin:$PATH #Add MET executables to path

	#Basic Package Management for Model Evaluation Tools (METplus)

	echo $PASSWD | sudo -S apt -y update
	echo $PASSWD | sudo -S apt -y upgrade

	#Directory Listings for Model Evaluation Tools (METplus

	mkdir $DTC_FOLDER/METplus-5.0.2
	mkdir $DTC_FOLDER/METplus-5.0.2/Sample_Data
	mkdir $DTC_FOLDER/METplus-5.0.2/Output
	mkdir $DTC_FOLDER/METplus-5.0.2/Downloads

	#Downloading METplus and untarring files

	cd $DTC_FOLDER/METplus-5.0.2/Downloads
	wget -c -4 https://github.com/dtcenter/METplus/archive/refs/tags/v5.0.2.tar.gz
	tar -xvzf v5.0.2.tar.gz -C $DTC_FOLDER

	# Insatlllation of Model Evaluation Tools Plus
	cd $DTC_FOLDER/METplus-5.0.2/parm/metplus_config

	sed -i "s|MET_INSTALL_DIR = /path/to|MET_INSTALL_DIR = $DTC_FOLDER/MET-11.0.2|" defaults.conf
	sed -i "s|INPUT_BASE = /path/to|INPUT_BASE = $DTC_FOLDER/METplus-5.0.2/Sample_Data|" defaults.conf
	sed -i "s|OUTPUT_BASE = /path/to|OUTPUT_BASE = $DTC_FOLDER/METplus-5.0.2/Output|" defaults.conf

	# Downloading Sample Data

	cd $DTC_FOLDER/METplus-5.0.2/Downloads
	wget -c -4 https://dtcenter.ucar.edu/dfiles/code/METplus/METplus_Data/v5.0/sample_data-met_tool_wrapper-5.0.tgz
	tar -xvzf sample_data-met_tool_wrapper-5.0.tgz -C $DTC_FOLDER/METplus-5.0.2/Sample_Data

	# Testing if installation of MET & METPlus was sucessfull
	# If you see in terminal "METplus has successfully finished running."
	# Then MET & METPLUS is sucessfully installed

	echo 'Testing MET & METPLUS Installation.'
	$DTC_FOLDER/METplus-5.0.2/ush/run_metplus.py -c $DTC_FOLDER/METplus-5.0.2/parm/use_cases/met_tool_wrapper/GridStat/GridStat.conf
	export PATH=$DTC_FOLDER/METplus-5.0.2/ush:$PATH
	echo " "
	read -r -t 5 -p "MET and METPLUS sucessfully installed with intel compilers"

fi

